The zwp_relative_pointer_manager_v1 interface

A global interface used for getting the relative pointer object for a given pointer. More...

## Macros

#define | ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY_SINCE_VERSION 1
#define | ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER_SINCE_VERSION 1

## Functions

static void | zwp_relative_pointer_manager_v1_set_user_data (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1, void *user_data)
static void * | zwp_relative_pointer_manager_v1_get_user_data (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1)
static void | zwp_relative_pointer_manager_v1_destroy (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1)
static struct zwp_relative_pointer_v1 * | zwp_relative_pointer_manager_v1_get_relative_pointer (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1, struct wl_pointer *pointer)

## Detailed Description

A global interface used for getting the relative pointer object for a given pointer.

## Macro Definition Documentation

## ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY_SINCE_VERSION

#define ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY_SINCE_VERSION 1

Definition at line 120 of file relative-pointer-unstable-v1-client-protocol.h.

## ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER_SINCE_VERSION

#define ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER_SINCE_VERSION 1

Definition at line 124 of file relative-pointer-unstable-v1-client-protocol.h.

## Function Documentation

## zwp_relative_pointer_manager_v1_destroy()

static void zwp_relative_pointer_manager_v1_destroy | ( | struct zwp_relative_pointer_manager_v1 * | zwp_relative_pointer_manager_v1 | ) |

inline static

Used by the client to notify the server that it will no longer use this relative pointer manager object.

Definition at line 153 of file relative-pointer-unstable-v1-client-protocol.h.

{
wl_proxy_marshal((struct wl_proxy *) zwp_relative_pointer_manager_v1,
ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY);
wl_proxy_destroy((struct wl_proxy *) zwp_relative_pointer_manager_v1);
}

References ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY.

## zwp_relative_pointer_manager_v1_get_relative_pointer()

static struct zwp_relative_pointer_v1* zwp_relative_pointer_manager_v1_get_relative_pointer | ( | struct zwp_relative_pointer_manager_v1 * | zwp_relative_pointer_manager_v1,
|  | struct wl_pointer * | pointer
| ) |  |

inline static

Create a relative pointer interface given a wl_pointer object. See the wp_relative_pointer interface for more details.

Definition at line 168 of file relative-pointer-unstable-v1-client-protocol.h.

{
struct wl_proxy *id;
id = wl_proxy_marshal_constructor((struct wl_proxy *) zwp_relative_pointer_manager_v1,
ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER, &zwp_relative_pointer_v1_interface, NULL, pointer);
return (struct zwp_relative_pointer_v1 *) id;
}

References NULL, ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER, and zwp_relative_pointer_v1_interface.

## zwp_relative_pointer_manager_v1_get_user_data()

static void* zwp_relative_pointer_manager_v1_get_user_data | ( | struct zwp_relative_pointer_manager_v1 * | zwp_relative_pointer_manager_v1 | ) |

inline static

Definition at line 135 of file relative-pointer-unstable-v1-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) zwp_relative_pointer_manager_v1);
}

## zwp_relative_pointer_manager_v1_set_user_data()

static void zwp_relative_pointer_manager_v1_set_user_data | ( | struct zwp_relative_pointer_manager_v1 * | zwp_relative_pointer_manager_v1,
|  | void * | user_data
| ) |  |

inline static

Definition at line 128 of file relative-pointer-unstable-v1-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) zwp_relative_pointer_manager_v1, user_data);
}
ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER
#define ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER
Definition: relative-pointer-unstable-v1-client-protocol.h:114
NULL
#define NULL
Definition: begin_code.h:167
pointer
GLsizei const void * pointer
Definition: SDL_opengl_glext.h:378
zwp_relative_pointer_v1_interface
const struct wl_interface zwp_relative_pointer_v1_interface
Definition: relative-pointer-unstable-v1-protocol.c:64
ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY
#define ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY
Definition: relative-pointer-unstable-v1-client-protocol.h:113
id
GLuint id
Definition: SDL_opengl_glext.h:528